<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8"/>
		<link href="https://fonts.googleapis.com/css?family=Raleway:500,700" rel="stylesheet">
		<link rel="stylesheet" href="../css/bootstrap/bootstrap.min.css"/>
		<link rel="stylesheet" href="../css/lestyle.css"/>
		<title> COURNAL Alexis </title>
	</head>

	<body>
		

		<header class="container-fluid header">
			<div class="container">
				<article class="">
					<h1>COURNAL Alexis</h1>
						<nav class="list-inline">					
							<a href ="../index.html">ACCUEIL</a>
							<a href ="cv.html">CV</a>
							<a href ="ETNA-BROC-ALTERNANCE-2021-2022.pdf#page=16" target="_blank">ETNA</a>
							<a href ="ppe.html">PPE - BTS</a>
							<a href ="projets.html">PROJETS</a>
							<a href ="stages.html">STAGES</a>
							<!--<a href ="tableau.html">TABLEAU DE SYNTHESE</a>-->
							<a href ="veille.html">VEILLE TECH. & JUR.</a>
							<a href ="contact.php">CONTACT</a>
						</nav>
				</article>	
			</div>
		</header>

		<section class="container-fluid ppe">
			<div class="container">
					<h1><br>Projets Personnels Encadrés</h1>
						<article class="col-md-12 col-lg-12 col-xs-12 col-sm-12">
							<p>Dans le cadre des heures de PPE, nous avons réalisé avec mon groupe 2 projets, un en C# et un autre en php.</p>
						</article><br>	

				<article class="col-md-12 col-lg-12 col-xs-12 col-sm-12">
					<h2>Projet C#</h2>
						<p>Le but était de développer une application en c# via Visual Studio permettant de gérer les utilisateurs d'une base de données : modification, ajout, suppression. L'application permet aussi la gestion de bases de données. Pour cela il a fallut modifier un code déjà existant composé de vues (différents formulaires comme FormAjout, FormChoixDatabase...), d'une partie Data incluant 2 fichiers (DataBaseConnect, PersonneData), d'une partie Entité (Personne, Database). Data et Entité regroupent les classes métiers et techniques. Bien entendu, il a aussi fallut matérialiser les formulaires avant de coder.</p>
				</article>	

	       				<div class="row">
							<article class="col-md-6">
	    						<figure class="col-lg-12">
									<img class="img img-responsive article-img" src="../ImageEtPdf/arborescencecsharp.JPG">
								</figure>

								<div class="article-intro col-lg-12" style="padding-top: px;">
									<strong>Voici l'arborescence de l'application regroupant tous les dossiers et sous-dossiers</strong>
								</div>
					
							</article>
	                
	                		<article class="col-md-6">
	        					<figure class="col-lg-12">
									<img class="img img-responsive article-img" src="../ImageEtPdf/classemetierdatabase.JPG">
								</figure>

								<div class="article-intro col-lg-12" style="padding-top: px;">
									<strong>Classe métier Database</strong>
								</div>					
							</article>
	                	</div>
	                
	                <hr>

	                <div class="row">
	                	<article class="col-md-6">
			        		<figure class="col-lg-12">
								<img class="img img-responsive article-img" src="../ImageEtPdf/classemetierpersonne.JPG">
							</figure>
							<div class="article-intro col-lg-12" style="padding-top: px;">
								<strong>Classe métier Personne<br></strong>
							</div>
						</article>
	                </div><br><br>
	                
	                <div class="row">
	                	<article class="col-md-6">
			        		<figure class="col-lg-12">
								<img class="img img-responsive article-img" src="../ImageEtPdf/methodedbconnect.JPG">
							</figure>

							<div class="article-intro col-lg-12" style="padding-top: px;">
								<strong>Exemple d'une méthode de Databaseconnect</strong>
							</div>
						</article>
	                </div><br><br>

	           
	                <div class="row">
		                <article class="col-md-6">
			        		<figure class="col-lg-12">
								<img class="img img-responsive article-img" src="../ImageEtPdf/methodepersonnedata.JPG">
							</figure>
							<div class="article-intro col-lg-12" style="padding-top: px;">
								<strong>Exemple d'une méthode de PersonneData</strong>
							</div>
						</article>
					</div><br><br>

					<div class="row">
						<article class="col-md-6">
			        		<figure class="col-lg-12">
								<img class="img img-responsive article-img" src="../ImageEtPdf/choixdbetgestionuser.JPG">
							</figure>
							<div class="article-intro col-lg-12" style="padding-top: px;">
								<strong>Le formulaire du choix de la base de données et le formulaire de gestion des utilisateurs pour une base sélectionnée</strong>
							</div>
						</article>
                	</div><br><br>
                
			
		
		
				<h3>Projet Php</h3>
					<article class="col-md-12 col-lg-12 col-xs-12 col-sm-12">
						<p>Le but était de développer un site web permettant au personnel d'un établissement de renseigner un incident intervenu qui nécessite l'intervention d'un technicien informatique. De plus le site permet aux utilisateurs de voir l'avancée du traitement de leur incident, d'administrer les profils et de régéner un mot de passe oublié. L'application est déstinée à la gestion d'incident informtique dans les établissements, elle est accessible par authentification avec plusieurs droits : utilisateur(professeur), intervenant(technicien) et par un administrateur en ligne. En fonction des droits, certaines fonctions sont disponibles ou non. </p>
					</article><br>
				<h4>Environnement de développement </h4>
					<article class="col-md-12 col-lg-12 col-xs-12 col-sm-12">
						<p>La méthode de développement est la méthode MVC, le site est développé en PHP Objet(PDO) avec utilisation de Bootstrap, JavaScript et CSS. Nous avons utilisé Filezilla pour déposer et modifier les fichiers mise en ligne. Les fichiers ont donc été hébergé sur un serveur FTP pour permettre une consultation en ligne. Pour la base SQL et la mise en ligne du site nous avons utilisé AlwaysData qui est un hébergeur en ligne. </p>
					</article><br>

					<div class="row">
						<article class="col-md-6">
			        		<figure class="col-lg-12">
								<img class="img img-responsive article-img" src="../ImageEtPdf/arborescencesite.JPG">
							</figure>
							<div class="article-intro col-lg-12" style="padding-top: px;">
								<strong>Voici l'arborescence du site</strong>
							</div>
						</article>
                	</div><br><br>

                	<div class="row">
						<article class="col-md-6">
			        		<figure class="col-lg-12">
								<img class="img img-responsive article-img" src="../ImageEtPdf/classesetmethodes.JPG">
							</figure>
							<div class="article-intro col-lg-12" style="padding-top: px;">
								<strong>Classes et méthodes</strong>
							</div>
						</article>
                	</div><br><br>

					<div class="row">
						<article class="col-md-6">
			        		<figure class="col-lg-12">
								<a href="http://projetsio.alwaysdata.net"><img class="img img-responsive article-img" src="../ImageEtPdf/vueconnexion.JPG"></a>
							</figure>
							<div class="article-intro col-lg-12" style="padding-top: px;">
								<strong>VueConnexion commune à tous les utilisateurs</strong><br>
								<a href="http://projetsio.alwaysdata.net">Pour accéder au site, cliquez ici ou sur l'image</a>
							</div>
						</article>
                	</div><br><br>




	            <article class="col-md-12 col-lg-12 col-xs-12 col-sm-12">
	            	<h5>Projet C# GSB</h5>
	            	<p>Le but était de développer une application en C# via Visual Studio permettant d'indiquer à un médecin, en fonction du poid d'un patient
	            	et du choix des antibiotiques, ses prescriptions</p>
	            </article><br>

	            <div class="row">
					<article class="col-md-6">
	    				<figure class="col-lg-12">
							<img class="img img-responsive article-img" src="../ImageEtPdf/arborescencegsb.jpg">
						</figure>

						<div class="article-intro col-lg-12" style="padding-top: px;">
							<strong>Voici l'arborescence de l'application regroupant tous les dossiers et sous-dossiers</strong>
						</div>					
					</article>
				</div><br><br>

				<div class="row">
					<article class="col-md-6">
			        	<figure class="col-lg-12">
							<img class="img img-responsive article-img" src="../ImageEtPdf/categorie.jpg">
						</figure>
						<div class="article-intro col-lg-12" style="padding-top: px;">
							<strong>Le formulaire permettant d'ajouter la liste de plusieurs catégories d'antibiotiques</strong><br>
						</div>
					</article>
				</div><br><br>

				<div class="row">
					<article class="col-md-6">
			        	<figure class="col-lg-12">
							<img class="img img-responsive article-img" src="../ImageEtPdf/formAntibiotique.jpg">
						</figure>
						<div class="article-intro col-lg-12" style="padding-top: px;">
							<strong>Le formulaire de la liste des antibiotiques en fonction de la catégorie séléctionnée sur le formulaire précédent</strong>
						</div>
					</article>
				</div>
				
				<footer class="container-fluid footercontact">
			      ©Copyright 2021 - Tous droits réservés
			    </footer>
			</div>

			
		</section>					
	</body>
</html>		